﻿/* NCCC Theme.css */

#banner {
  width: 100%;
}

.topLinks {
  color: white !important;
}

.topNavHeaderItem {
  color: white !important;
}

.topMenuItem {
  color: black;
}

/*nav, .menu, .submenu {
  border-bottom: 1px solid #ffffff !important;
}*/

.subNavCurrentItem {
  color: white !important;
  background-color: #48603b;
}

div.grid table thead th {
  background-color: #00578b;
}

#foot .stdDiv {
  color: white;
}

#pageForm {
  background-color: transparent;
  border-width: 0;
}



/* New Theme Colors from Ben's mockups */
.container .row div[class^="col-"] {
  background-color: white;
}

#foot { /* dark-blue, footer-background, modal-close-X-btn */
  color: #00578b;
}

.bg-dark { /* bootstrap navbar dark background color */
  background-color: #183052;
  color: white;
}

.page-title {
  background-color: #183052 !important;
  color: #ffffff;
  text-shadow: 0px 1px 5px rgba(0, 0, 0, 1);
}

a { /* light-blue hyperlinks */
  color: #2BA6CB;
}

  a.btn-outline-primary {
    border-color: #39b54a !important;
    color: #39b54a !important
  }
    /* Need to define a custom hover color */


    a.btn-outline-primary:hover {
      color: #ffffff !important;
      background-color: #226c2c !important;
    }


input, select, textarea { /* light-gray form field borders */
  border-color: #CCCCCC !important;
}

input, select, textarea { /* medium-gray => form-field-text */
  color: #808080 !important;
}

.required, .warning { /* red invalid-msg-text error-msg-text */
  color: #FF0000 !important;
}

input[type="checkbox"] { /* dark-gray-minus checkmark */
  color: #666666 !important;
}

body {
  background-color: #285D93 !important;
  background-repeat: no-repeat;
  background-size: auto;
  background-image: url("../Images/NCCC_HeaderBG.jpg");
  background-position-x: center;
}

label {
  width: 100% !important;
  display: block !important
}

.or-hr {
  border-color: #00578b !important;
}

.or-separator {
  position: relative;
  left: 46%;
  bottom: 1.8rem;
  background-color: white;
  display: inline;
  padding: 2px;
  color: #00578b !important;
}

.navbar-dark .navbar-nav .nav-link {
  color: white;
  text-shadow: 0px 1px 5px rgba(0, 0, 0, 1);
}

  .navbar-dark .navbar-nav .nav-link:hover, .navbar-dark .navbar-nav .nav-link:focus {
    color: white;
    text-shadow: 0px 1px 5px rgba(0, 0, 0, 1);
    text-decoration: underline;
  }

  .navbar-dark .navbar-nav .nav-link.disabled {
    color: rgba(255, 255, 255, 0.5);
    text-shadow: 0px 1px 5px rgba(0, 0, 0, 1);
  }

.navbar-dark .navbar-text {
  color: rgba(255, 255, 255, 0.7);
}

.nccc-header {
  background-color: #183052 !important;
  /*background-image: url("../Images/NCCC_HeaderBG.jpg");*/
}

.btn-primary {
    background-color: #154A80;
    font-weight: 600 !important;
}

  .btn-primary:hover:not(:disabled) {
    background-color: #285D93;
    text-shadow: 0px 1px 5px rgba(0, 0, 0, 1);
    border-color: #014e78;
  }

  .btn-primary:disabled:hover {
    color: #fff;
    background-color: #2F5387;
    border-color: #2F5387;
  }

body > div.container {
  margin-bottom: 40px;
}

footer > div {
  background-color: #014e78;
  color: #fff;
  text-shadow: 0px 1px 5px rgba(0, 0, 0, 1);
}

footer a {
  color: #fff;
  text-shadow: 0px 1px 5px rgba(0, 0, 0, 1);
  text-decoration: underline;
}

  footer a:hover {
    color: #fff;
    text-shadow: 0px 1px 5px rgba(0, 0, 0, 1);
    text-decoration: underline;
    cursor: pointer;
  }

.desktop-nav {
    background-color: #ffffff;
    align-items: center;
    justify-content: center;
    padding: 1rem;
    display: flex;
}

.desktop-nav-items {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 0;
    margin: 0;
}

.desktop-menu {
    padding: 0;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.img-fluid {
    width: 80%;
}

/* New Mobile Menu*/

.mobile-nav {
    background-color: #ffffff;
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 1rem;
}

.nav-link {
    color: #ffffff;
}

    .nav-link:hover, .nav-link:focus-visible {
        color: #ffffff;
        text-decoration: underline;
    }

.nav-item {
    list-style-type: none;
    border-radius: .25rem;
    transition: all ease-in-out 200ms;
    
}

    .nav-item:hover {
        background-color: rgba(0, 0, 0, .04)
    }

.nav-link.mobile {
    color: #212121;
}

.navigation-items-container {
    max-width: 1140px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.mobile-navigation-items {
    background-color: #fff;
    display: flex;
    flex-direction: column;
    gap: .25rem;
    padding: 1rem;
    position: absolute;
    z-index: 999;
    right: 0;
    top: 3rem;
    border-radius: .25rem;
    box-shadow: .25rem .25rem 1rem rgba(0, 0, 0, 0.2);
}



.mobile-nav-container {
    position: relative;
}


@media screen and (max-width: 767px) {
    .mobile-nav {
        display: block;
    }

    .desktop-nav {
        display: none;
    }
}

@media screen and (min-width: 768px) {
    .mobile-nav {
        display: none;
    }
}

